OpenVDB 5.1.0

Public Types | Static Public Member Functions | List of all members
GridOrTreeConstructor< Grid< TreeType > > Struct Template Reference

`#include <Composite.h>`

## Public Types
typedef Grid< TreeType > | GridType
typedef Grid< TreeType >::Ptr | GridTypePtr
typedef TreeType::Ptr | TreeTypePtr

## Static Public Member Functions
static GridTypePtr | construct (const GridType &grid, TreeTypePtr &tree)

## Member Typedef Documentation

## ◆ GridType

typedef Grid<TreeType> GridType

## ◆ GridTypePtr

typedef Grid<TreeType>::Ptr GridTypePtr

## ◆ TreeTypePtr

typedef TreeType::Ptr TreeTypePtr

## Member Function Documentation

## ◆ construct()

static GridTypePtr construct | ( | const GridType & | grid,
|  | TreeTypePtr & | tree
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Composite.h